summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--git/binutils_rev2
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1215
-rw-r--r--jenkins/notify-init.log335
-rw-r--r--jenkins/rewrite.log22
-rw-r--r--jenkins/run-build.env8
-rw-r--r--manifest.sh2
-rw-r--r--notify/jira/comment-template.txt2
-rw-r--r--notify/jira/components1
-rw-r--r--notify/jira/description13
-rw-r--r--notify/jira/startdate1
-rw-r--r--notify/jira/summary1
-rw-r--r--notify/mail-body.txt26
-rw-r--r--notify/mail-recipients.txt2
-rw-r--r--notify/mail-subject.txt2
15 files changed, 231 insertions, 1403 deletions
diff --git a/git/binutils_rev b/git/binutils_rev
index 439ee6f..efef01a 100644
--- a/git/binutils_rev
+++ b/git/binutils_rev
@@ -1 +1 @@
-f959280488d3af86cd94f81218d123de3c0c7448
+7ac6d0c38c365a6778a91fd37203c21561c61c4c
diff --git a/jenkins/build-name b/jenkins/build-name
index 60368de..74e9454 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#366-binutils-R1
+#367-binutils-R1
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index 0c06d80..1ad14a5 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p40046: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
++ remote_exec tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p50895: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+ set -euf -o pipefail
+ local host
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p40046:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p50895:
++ cut -d: -f 1
-+ host=tcwg-snow-02
++ host=tcwg-jade-05
+ local port
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p40046:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p50895:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p40046:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p50895:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_0
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_7
+ local opts
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p40046:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p50895:
++ cut -s -d: -f 4
-+ opts=-p40046
++ opts=-p50895
+ local env_vars
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p40046:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p50895:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,10 +58,10 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q tcwg_gnu-build.sh
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_0
-+ ssh -p40046 tcwg-snow-02 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_0 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_7
++ ssh -p50895 tcwg-jade-05 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_7 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh'
-/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -71,8 +71,8 @@
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
+ setup_notify_environment
-+ echo '# setup_notify_environment'
# setup_notify_environment
++ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_project]}'
@@ -87,18 +87,18 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/365/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/365/'
+# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/
# Using dir : base-artifacts
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/'
+# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/367/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/367/'
# Using dir : artifacts
-+ echo '# Using dir : artifacts'
++ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
@@ -137,7 +137,7 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' xf959280488d3af86cd94f81218d123de3c0c7448 '!=' xcda750802aef3beea582f0f3cad824be491abb4d ']'
+++ '[' x7ac6d0c38c365a6778a91fd37203c21561c61c4c '!=' xf959280488d3af86cd94f81218d123de3c0c7448 ']'
++ echo -ne binutils
++ delim=' '
++ echo
@@ -150,17 +150,17 @@
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ first_bad=f959280488d3af86cd94f81218d123de3c0c7448
++ first_bad=7ac6d0c38c365a6778a91fd37203c21561c61c4c
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ last_good=cda750802aef3beea582f0f3cad824be491abb4d
++ last_good=f959280488d3af86cd94f81218d123de3c0c7448
+ local res
+ res=0
-+ wait 79438
++ wait 66855
+ git -C binutils rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo binutils' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -174,22 +174,22 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=cda750802aef3beea582f0f3cad824be491abb4d
++ base_rev=f959280488d3af86cd94f81218d123de3c0c7448
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=f959280488d3af86cd94f81218d123de3c0c7448
-++ git -C binutils rev-parse 'f959280488d3af86cd94f81218d123de3c0c7448^@'
++ cur_rev=7ac6d0c38c365a6778a91fd37203c21561c61c4c
+++ git -C binutils rev-parse '7ac6d0c38c365a6778a91fd37203c21561c61c4c^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' cda750802aef3beea582f0f3cad824be491abb4d = cda750802aef3beea582f0f3cad824be491abb4d ']'
-+ return 0
-+ change_kind=single_commit
++ '[' 220be060180d14a0512bfb39b22341a7368822ae = f959280488d3af86cd94f81218d123de3c0c7448 ']'
++ return 1
++ change_kind=single_component
# Debug traces :
+# change_kind=single_component : binutils
+ echo '# Debug traces :'
-# change_kind=single_commit : binutils
-+ echo '# change_kind=single_commit : binutils'
++ echo '# change_kind=single_component : binutils'
+ for c in "${changed_components[@]}"
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
@@ -197,18 +197,18 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=cda750802aef3beea582f0f3cad824be491abb4d
++ base_rev=f959280488d3af86cd94f81218d123de3c0c7448
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=f959280488d3af86cd94f81218d123de3c0c7448
-++ git -C binutils rev-list --count cda750802aef3beea582f0f3cad824be491abb4d..f959280488d3af86cd94f81218d123de3c0c7448
-+ c_commits=1
-# rev for binutils : cda750802aef3beea582f0f3cad824be491abb4d..f959280488d3af86cd94f81218d123de3c0c7448 (1 commits)
++ cur_rev=7ac6d0c38c365a6778a91fd37203c21561c61c4c
+++ git -C binutils rev-list --count f959280488d3af86cd94f81218d123de3c0c7448..7ac6d0c38c365a6778a91fd37203c21561c61c4c
++ c_commits=3
+# rev for binutils : f959280488d3af86cd94f81218d123de3c0c7448..7ac6d0c38c365a6778a91fd37203c21561c61c4c (3 commits)
++ echo '# rev for binutils : f959280488d3af86cd94f81218d123de3c0c7448..7ac6d0c38c365a6778a91fd37203c21561c61c4c (3 commits)'
-+ echo '# rev for binutils : cda750802aef3beea582f0f3cad824be491abb4d..f959280488d3af86cd94f81218d123de3c0c7448 (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -232,264 +232,11 @@
+ print_config_f=gnu_print_config
+ post_interesting_commits init
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
+ local stage=init
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-+ '[' 0 -eq 3 ']'
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 79518
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=f82961a0
-++ '[' 0 -ne 0 ']'
-++ echo f82961a0
-+ sha1=f82961a0
-+ git -C interesting-commits checkout --detach f82961a0
-Warning: you are leaving 1 commit behind, not connected to
-any of your branches:
-
- 444f9bf9 Add entry f959280488d3af86cd94f81218d123de3c0c7448 from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/
-
-If you want to keep it by creating a new branch, this may be a good time
-to do so with:
-
- git branch <new-branch-name> 444f9bf9
-
-HEAD is now at f82961a0 Add entry b121fdc552f392cd86b21f159dd3e3b998de91a3 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/678/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir binutils f959280488d3af86cd94f81218d123de3c0c7448
-++ local dir=binutils/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ jira_dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ jira_dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira
-+ '[' init = full ']'
-+ true
-+ git -C interesting-commits remote update -p
-Fetching baseline
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-# update_interesting_commits
-+ update_interesting_commits init ''
-+ echo '# update_interesting_commits'
-+ local stage=init
-+ local jira_key=
-+ local subdir3 subdir4 subdir4
-++ interesting_subdir binutils f959280488d3af86cd94f81218d123de3c0c7448
-++ local dir=binutils/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ subdir3=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ interesting_subdir binutils f959280488d3af86cd94f81218d123de3c0c7448 tcwg_binutils_build
-++ local dir=binutils/sha1
-++ '[' 3 -ge 2 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ '[' 3 -ge 3 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build
-++ '[' 3 -ge 4 ']'
-++ echo binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build
-+ subdir4=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build
-++ interesting_subdir binutils f959280488d3af86cd94f81218d123de3c0c7448 tcwg_binutils_build master-aarch64
-++ local dir=binutils/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ '[' 4 -ge 3 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build
-++ '[' 4 -ge 4 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64
-++ echo binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64
-+ subdir5=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64
-+ '[' -d interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448 ']'
-+ mkdir -p interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ git -C interesting-commits add binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/first_url
-+ mkdir -p interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ echo cda750802aef3beea582f0f3cad824be491abb4d
-+ git -C interesting-commits add binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/build_url binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/last_good
-+ '[' init '!=' full ']'
++ '[' single_component '!=' single_commit ']'
+ return
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry f959280488d3af86cd94f81218d123de3c0c7448 from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/'
-[detached HEAD 19a3fcb4] Add entry f959280488d3af86cd94f81218d123de3c0c7448 from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/
- 3 files changed, 3 insertions(+)
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/first_url
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/build_url
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/last_good
-+ wait 91598
-+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-+ break
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
@@ -498,580 +245,15 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xsingle_commit '!=' xsingle_commit ']'
-+ local isubdir
-++ interesting_subdir binutils f959280488d3af86cd94f81218d123de3c0c7448
-++ local dir=binutils/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ isubdir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ '[' -f interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/first_url ']'
-+ local first_url
-++ cat interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/first_url
-+ first_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ '[' https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/ = https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/ ']'
-+ first_icommit_to_report=true
++ '[' xsingle_component '!=' xsingle_commit ']'
++ return
+ post_interesting_commits full
+ set -euf -o pipefail
+ echo '# post_interesting_commits'
# post_interesting_commits
+ local stage=full
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-+ '[' 0 -eq 3 ']'
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 91668
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=f82961a0
-++ '[' 0 -ne 0 ']'
-++ echo f82961a0
-+ sha1=f82961a0
-+ git -C interesting-commits checkout --detach f82961a0
-Warning: you are leaving 1 commit behind, not connected to
-any of your branches:
-
- 19a3fcb4 Add entry f959280488d3af86cd94f81218d123de3c0c7448 from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/
-
-If you want to keep it by creating a new branch, this may be a good time
-to do so with:
-
- git branch <new-branch-name> 19a3fcb4
-
-HEAD is now at f82961a0 Add entry b121fdc552f392cd86b21f159dd3e3b998de91a3 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/678/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir binutils f959280488d3af86cd94f81218d123de3c0c7448
-++ local dir=binutils/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ jira_dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ jira_dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira
-+ '[' full = full ']'
-+ false
-+ true
-+ git -C interesting-commits remote update -p
-Fetching baseline
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-+ update_interesting_commits full ''
-+ echo '# update_interesting_commits'
-# update_interesting_commits
-+ local stage=full
-+ local jira_key=
-+ local subdir3 subdir4 subdir4
-++ interesting_subdir binutils f959280488d3af86cd94f81218d123de3c0c7448
-++ local dir=binutils/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ subdir3=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ interesting_subdir binutils f959280488d3af86cd94f81218d123de3c0c7448 tcwg_binutils_build
-++ local dir=binutils/sha1
-++ '[' 3 -ge 2 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ '[' 3 -ge 3 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build
-++ '[' 3 -ge 4 ']'
-++ echo binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build
-+ subdir4=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build
-++ interesting_subdir binutils f959280488d3af86cd94f81218d123de3c0c7448 tcwg_binutils_build master-aarch64
-++ local dir=binutils/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ '[' 4 -ge 3 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build
-++ '[' 4 -ge 4 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64
-++ echo binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64
-+ subdir5=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64
-+ '[' -d interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448 ']'
-+ mkdir -p interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ git -C interesting-commits add binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/first_url
-+ mkdir -p interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ echo cda750802aef3beea582f0f3cad824be491abb4d
-+ git -C interesting-commits add binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/build_url binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/last_good
-+ '[' full '!=' full ']'
-+ gnu_print_result --oneline
-+ false
-+ local print_arg=--oneline
-+ '[' -d artifacts/sumfiles ']'
-+ print_result --oneline
-+ false
-+ local print_arg=--oneline
-+ case "$print_arg" in
-+ '[' 0 = 0 ']'
-+ echo Success
-+ return 0
-+ merge_status_summary interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build
-+ set -euf -o pipefail
-+ local subdir=interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build
-+ local cur_file cur best= best_file
-+ read -r cur_file
-++ find interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build -mindepth 2 -maxdepth 2 -name status-summary.txt
-++ sort
-++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/status-summary.txt
-+ cur=Success
-+ '[' Success -le '' ']'
-/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
-+ best=Success
-+ best_file=interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/status-summary.txt
-+ read -r cur_file
-+ cat interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/status-summary.txt
-+ merge_status_summary interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ set -euf -o pipefail
-+ local subdir=interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ local cur_file cur best= best_file
-+ read -r cur_file
-++ find interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448 -mindepth 2 -maxdepth 2 -name status-summary.txt
-++ sort
-++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/status-summary.txt
-+ cur=Success
-+ '[' Success -le '' ']'
-/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
-+ best=Success
-+ best_file=interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/status-summary.txt
-+ read -r cur_file
-+ cat interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/status-summary.txt
-+ git -C interesting-commits add binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/status-summary.txt binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/status-summary.txt binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/status-summary.txt
-+ gnu_print_result --long
-+ false
-+ local print_arg=--long
-+ '[' -d artifacts/sumfiles ']'
-+ print_result --long
-+ false
-+ local print_arg=--long
-+ case "$print_arg" in
-+ echo 'Results changed to'
-++ cat artifacts/results
-+ echo '# reset_artifacts:
--10
-# true:
-0
-# build_abe binutils:
-1'
-+ echo ''
-+ echo From
-++ cat base-artifacts/results
-+ echo '# reset_artifacts:
--10
-# true:
-0
-# build_abe binutils:
-1'
-+ return 0
-+ cat interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/status-summary.txt
-+ sed 's/^/* /'
-+ print_icommits_link binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/details.txt
-+ set -euf -o pipefail
-+ local path=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/details.txt
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/details.txt
-+ cat interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/build_url
-+ git -C interesting-commits add binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/details.txt binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/status.txt
-+ '[' -f interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/summary.txt ']'
-+ local bad_artifacts_url good_artifacts_url
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/artifact/artifacts
-++ get_baseline_manifest BUILD_URL
-++ get_manifest base-artifacts/manifest.sh BUILD_URL false
-++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/365/artifact/artifacts
-+ cat
-+ git -C interesting-commits add binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/reproduction_instructions.txt
-+ local ci_config
-+ read ci_config
-++ cd interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build
-++ ls
-+ '[' -f interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/summary.txt ']'
-+ '[' -f interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/status.txt ']'
-+ echo '* master-aarch64'
-+ cat interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/status.txt
-+ sed 's/^/*/'
-+ read ci_config
-+ '[' -f interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/status-summary.txt/summary.txt ']'
-+ '[' -f interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/status-summary.txt/status.txt ']'
-+ continue
-+ read ci_config
-+ '[' -f interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/status.txt/summary.txt ']'
-+ '[' -f interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/status.txt/status.txt ']'
-+ continue
-+ read ci_config
-+ git -C interesting-commits add binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/status.txt
-+ local ci_project
-+ read ci_project
-++ cd interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ ls
-+ '[' -f interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/first_url/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/status-summary.txt/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/status.txt/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/status.txt ']'
-+ echo '* tcwg_binutils_build'
-+ cat interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/status.txt
-+ sed 's/^/*/'
-+ read ci_project
-+ git -C interesting-commits add binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/status.txt
-+ print_commits --short
-+ set -euf -o pipefail
-+ false
-+ local print_arg=--short
-+ '[' single_commit = no_change ']'
-+ local more_lines
-+ '[' single_commit = single_commit ']'
-+ local c=binutils
-+ '[' --short = --link ']'
-+ local describe
-+ '[' '' = '' ']'
-++ describe_sha1 binutils f959280488d3af86cd94f81218d123de3c0c7448 true
-++ local component=binutils
-++ local sha1=f959280488d3af86cd94f81218d123de3c0c7448
-++ local anything=true
-++ match=()
-++ local -a match
-++ case "$component" in
-++ match=(--match "binutils*")
-++ git -C binutils describe --match 'binutils*' f959280488d3af86cd94f81218d123de3c0c7448
-+ describe=binutils-2_41-release-900-gf959280488d
-++ echo binutils-2_41-release-900-gf959280488d
-++ sed 's,^basepoints/,,'
-+ describe=binutils-2_41-release-900-gf959280488d
-+ '[' --short = --oneline ']'
-+ '[' '' = '' ']'
-+ echo 'commit binutils-2_41-release-900-gf959280488d'
-+ local tmpfile
-++ mktemp
-+ tmpfile=/tmp/tmp.LDkNzCPeAD
-+ git -C binutils log -n1 f959280488d3af86cd94f81218d123de3c0c7448
-+ tail -n +2
-+ head -n 10 /tmp/tmp.LDkNzCPeAD
-++ cat /tmp/tmp.LDkNzCPeAD
-++ wc -l
-+ more_lines=-6
-+ '[' -6 -gt 0 ']'
-+ rm /tmp/tmp.LDkNzCPeAD
-+ '[' '' '!=' '' ']'
-+ return 0
-+ git -C interesting-commits add binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/commit-log.txt
-+ true
-+ local jira_dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira
-+ '[' -f interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira/key ']'
-+ '[' -e interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira ']'
-+ mkdir interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira
-+ '[' '' '!=' '' ']'
-++ print_commits --oneline
-++ set -euf -o pipefail
-++ false
-++ local print_arg=--oneline
-++ '[' single_commit = no_change ']'
-++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=binutils
-++ '[' --oneline = --link ']'
-++ local describe
-++ '[' '' = '' ']'
-+++ describe_sha1 binutils f959280488d3af86cd94f81218d123de3c0c7448 true
-+++ local component=binutils
-+++ local sha1=f959280488d3af86cd94f81218d123de3c0c7448
-+++ local anything=true
-+++ match=()
-+++ local -a match
-+++ case "$component" in
-+++ match=(--match "binutils*")
-+++ git -C binutils describe --match 'binutils*' f959280488d3af86cd94f81218d123de3c0c7448
-++ describe=binutils-2_41-release-900-gf959280488d
-+++ echo binutils-2_41-release-900-gf959280488d
-+++ sed 's,^basepoints/,,'
-++ describe=binutils-2_41-release-900-gf959280488d
-++ '[' --oneline = --oneline ']'
-++ echo binutils-2_41-release-900-gf959280488d
-++ return 0
-++ cat interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/status-summary.txt
-+ echo binutils-2_41-release-900-gf959280488d: Success
-+ git -C interesting-commits add binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira/summary
-+ cat
-++ cat interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/commit-log.txt
-++ cat interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/status.txt
-++ print_icommits_link binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira/yaml
-++ set -euf -o pipefail
-++ local path=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira/yaml
-++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira/yaml
-+ git -C interesting-commits add binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira/description
-+ update_jira_card
-+ set -euf -o pipefail
-+ echo '# update_jira_card'
-# update_jira_card
-+ local jira_dir
-++ interesting_subdir binutils f959280488d3af86cd94f81218d123de3c0c7448
-++ local dir=binutils/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ jira_dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ jira_dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira
-+ components=()
-+ local -a components
-+ case "$changed_single_component" in
-+ components+=(Binutils)
-+ IFS=,
-+ echo Binutils
-+ git -C interesting-commits add binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira/components
-+ local commit_date
-++ git -C binutils log -n1 --pretty=%cd --date=iso f959280488d3af86cd94f81218d123de3c0c7448
-+ commit_date='2023-10-25 00:00:25 +0000'
-+ date -d '2023-10-25 00:00:25 +0000' +%Y-%m-%d
-+ git -C interesting-commits add binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira/startdate
-+ local key project
-++ print_jira_card_key
-++ set -euf -o pipefail
-++ local jira_dir
-+++ interesting_subdir binutils f959280488d3af86cd94f81218d123de3c0c7448
-+++ local dir=binutils/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ jira_dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ jira_dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira
-++ '[' -f interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira/key ']'
-++ return 0
-+ key=
-+ '[' -z '' ']'
-+ echo 'WARNING: no existing jira card interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira/key'
-WARNING: no existing jira card interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira/key
-+ return 0
-+ local describe
-++ describe_sha1 binutils f959280488d3af86cd94f81218d123de3c0c7448 false
-++ local component=binutils
-++ local sha1=f959280488d3af86cd94f81218d123de3c0c7448
-++ local anything=false
-++ match=()
-++ local -a match
-++ case "$component" in
-++ match=(--match "binutils*")
-++ git -C binutils describe --match 'binutils*' f959280488d3af86cd94f81218d123de3c0c7448
-+ describe=binutils-2_41-release-900-gf959280488d
-+ '[' binutils-2_41-release-900-gf959280488d '!=' '' ']'
-+ local d
-++ dirname binutils-2_41-release-900-gf959280488d
-+ d=.
-+ mkdir -p interesting-commits/binutils/.
-+ local symlink=
-+ '[' . '!=' . ']'
-+ symlink=sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ rm -f interesting-commits/binutils/binutils-2_41-release-900-gf959280488d
-+ ln -s sha1/f959280488d3af86cd94f81218d123de3c0c7448 interesting-commits/binutils/binutils-2_41-release-900-gf959280488d
-+ git -C interesting-commits add binutils/binutils-2_41-release-900-gf959280488d
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry f959280488d3af86cd94f81218d123de3c0c7448 from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/'
-[detached HEAD 38e1cf48] Add entry f959280488d3af86cd94f81218d123de3c0c7448 from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/
- 17 files changed, 70 insertions(+)
- create mode 120000 binutils/binutils-2_41-release-900-gf959280488d
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/commit-log.txt
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/first_url
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira/components
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira/description
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira/startdate
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira/summary
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/status-summary.txt
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/status.txt
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/build_url
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/details.txt
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/last_good
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/reproduction_instructions.txt
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/status-summary.txt
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/status.txt
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/status-summary.txt
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/status.txt
-+ wait 104065
-+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-+ break
++ '[' single_component '!=' single_commit ']'
++ return
+ true
+ generate_jira_dir
+ set -euf -o pipefail
@@ -1081,23 +263,11 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir binutils f959280488d3af86cd94f81218d123de3c0c7448
-+++ local dir=binutils/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ isubdir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ case "$print_arg" in
-++ echo interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ icommit_entry=interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ '[' interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448 '!=' '' ']'
-+ '[' -d interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira ']'
-+ rsync -a interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira/ artifacts/notify/jira/
-+ '[' -f artifacts/notify/jira/key ']'
+++ '[' xsingle_component '!=' xsingle_commit ']'
+++ return 0
++ icommit_entry=
++ '[' '' '!=' '' ']'
++ mkdir -p artifacts/notify/jira
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
@@ -1121,11 +291,11 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/367/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/artifact/artifacts/notify/mail-body.txt/*view*/'
-+ echo '# print all notification files'
+++ echo 'https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/367/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
++ echo '# print all notification files'
+ true
+ generate_mail_files
+ set -euf -o pipefail
@@ -1146,15 +316,19 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=cda750802aef3beea582f0f3cad824be491abb4d
++ base_rev=f959280488d3af86cd94f81218d123de3c0c7448
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=f959280488d3af86cd94f81218d123de3c0c7448
++ cur_rev=7ac6d0c38c365a6778a91fd37203c21561c61c4c
++ read -r email
+++ git -C binutils log --pretty=%ae f959280488d3af86cd94f81218d123de3c0c7448..7ac6d0c38c365a6778a91fd37203c21561c61c4c
++ emails["$email"]=cc
++ read -r email
++ emails["$email"]=cc
+ read -r email
-++ git -C binutils log --pretty=%ae cda750802aef3beea582f0f3cad824be491abb4d..f959280488d3af86cd94f81218d123de3c0c7448
+ emails["$email"]=cc
+ read -r email
+ local precommit_postcommit=postcommit
@@ -1165,15 +339,19 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=cda750802aef3beea582f0f3cad824be491abb4d
++ base_rev=f959280488d3af86cd94f81218d123de3c0c7448
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=f959280488d3af86cd94f81218d123de3c0c7448
++ cur_rev=7ac6d0c38c365a6778a91fd37203c21561c61c4c
++ read -r email
+++ git -C binutils log --pretty=%ce f959280488d3af86cd94f81218d123de3c0c7448..7ac6d0c38c365a6778a91fd37203c21561c61c4c
++ emails["$email"]=to
++ read -r email
++ emails["$email"]=to
+ read -r email
-++ git -C binutils log --pretty=%ce cda750802aef3beea582f0f3cad824be491abb4d..f959280488d3af86cd94f81218d123de3c0c7448
+ emails["$email"]=to
+ read -r email
+ unset 'emails[author]' 'emails[committer]'
@@ -1181,54 +359,58 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ recipients=()
+ local -a recipients
+ for email in "${!emails[@]}"
-+ type=to
-+ case "$precommit_postcommit:$type" in
-+ case "$type" in
-+ recipients+=("$email")
-+ for email in "${!emails[@]}"
+ type=cc_postcommit
+ case "$precommit_postcommit:$type" in
+ type=cc
+ case "$type" in
+ recipients+=("$type:$email")
+ for email in "${!emails[@]}"
-+ type=cc
++ type=bcc
+ case "$precommit_postcommit:$type" in
+ case "$type" in
+ recipients+=("$type:$email")
+ for email in "${!emails[@]}"
-+ type=bcc
++ type=to
+ case "$precommit_postcommit:$type" in
+ case "$type" in
-+ recipients+=("$type:$email")
++ recipients+=("$email")
+ IFS=,
-+ echo brobecker@adacore.com,cc:linaro-toolchain@lists.linaro.org,cc:gdbadmin@sourceware.org,bcc:tcwg-validation@linaro.org
++ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,amodra@gmail.com
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' single_commit = no_change ']'
+++ '[' single_component = no_change ']'
++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=binutils
-++ '[' --oneline = --link ']'
-++ local describe
-++ '[' '' = '' ']'
-+++ describe_sha1 binutils f959280488d3af86cd94f81218d123de3c0c7448 true
-+++ local component=binutils
-+++ local sha1=f959280488d3af86cd94f81218d123de3c0c7448
-+++ local anything=true
-+++ match=()
-+++ local -a match
-+++ case "$component" in
-+++ match=(--match "binutils*")
-+++ git -C binutils describe --match 'binutils*' f959280488d3af86cd94f81218d123de3c0c7448
-++ describe=binutils-2_41-release-900-gf959280488d
-+++ echo binutils-2_41-release-900-gf959280488d
-+++ sed 's,^basepoints/,,'
-++ describe=binutils-2_41-release-900-gf959280488d
+++ '[' single_component = single_commit ']'
+++ '[' single_component = single_component ']'
+++ local new_commits c base_rev cur_rev c_commits components
+++ local commits_or_patches
+++ '[' '' '!=' '' ']'
+++ commits_or_patches=commits
+++ new_commits=0
+++ for c in "${changed_components[@]}"
++++ get_baseline_git binutils_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/binutils_rev
+++ base_rev=f959280488d3af86cd94f81218d123de3c0c7448
++++ get_current_git binutils_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/binutils_rev
+++ cur_rev=7ac6d0c38c365a6778a91fd37203c21561c61c4c
++++ git -C binutils rev-list --count f959280488d3af86cd94f81218d123de3c0c7448..7ac6d0c38c365a6778a91fd37203c21561c61c4c
+++ c_commits=3
+++ new_commits=3
++++ echo binutils
++++ tr ' ' ,
+++ components=binutils
+++ echo '3 commits in binutils'
++ '[' --oneline = --oneline ']'
-++ echo binutils-2_41-release-900-gf959280488d
++ return 0
++ gnu_print_result --oneline
++ false
@@ -1243,7 +425,7 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ return 0
++ gnu_print_config --oneline
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_binutils_build master-aarch64
++ local project=tcwg_binutils_build
@@ -1265,21 +447,21 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ case "$print_arg" in
++ case "$ci_config" in
++ echo aarch64
-+ echo '[Linaro-TCWG-CI]' 'binutils-2_41-release-900-gf959280488d: Success on aarch64'
++ echo '[Linaro-TCWG-CI]' '3 commits in binutils: Success on aarch64'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/367/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/365/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/artifact/artifacts
+ cat
++ gnu_print_config --short
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_binutils_build master-aarch64
++ local project=tcwg_binutils_build
@@ -1290,8 +472,8 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ gnu_data[pretty_project]=
++ gnu_data[pretty_config]=master-aarch64
++ case "$project/$config" in
-+++ sed 's/^tcwg_//'
+++ echo tcwg_binutils_build
++++ sed 's/^tcwg_//'
++ gnu_data[pretty_project]=binutils_build
++ local print_arg=--short
++ case "$print_arg" in
@@ -1301,40 +483,56 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' single_commit = no_change ']'
+++ '[' single_component = no_change ']'
++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=binutils
-++ '[' --short = --link ']'
-++ local describe
-++ '[' '' = '' ']'
-+++ describe_sha1 binutils f959280488d3af86cd94f81218d123de3c0c7448 true
-+++ local component=binutils
-+++ local sha1=f959280488d3af86cd94f81218d123de3c0c7448
-+++ local anything=true
-+++ match=()
-+++ local -a match
-+++ case "$component" in
-+++ match=(--match "binutils*")
-+++ git -C binutils describe --match 'binutils*' f959280488d3af86cd94f81218d123de3c0c7448
-++ describe=binutils-2_41-release-900-gf959280488d
-+++ echo binutils-2_41-release-900-gf959280488d
-+++ sed 's,^basepoints/,,'
-++ describe=binutils-2_41-release-900-gf959280488d
+++ '[' single_component = single_commit ']'
+++ '[' single_component = single_component ']'
+++ local new_commits c base_rev cur_rev c_commits components
+++ local commits_or_patches
+++ '[' '' '!=' '' ']'
+++ commits_or_patches=commits
+++ new_commits=0
+++ for c in "${changed_components[@]}"
++++ get_baseline_git binutils_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/binutils_rev
+++ base_rev=f959280488d3af86cd94f81218d123de3c0c7448
++++ get_current_git binutils_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/binutils_rev
+++ cur_rev=7ac6d0c38c365a6778a91fd37203c21561c61c4c
++++ git -C binutils rev-list --count f959280488d3af86cd94f81218d123de3c0c7448..7ac6d0c38c365a6778a91fd37203c21561c61c4c
+++ c_commits=3
+++ new_commits=3
++++ echo binutils
++++ tr ' ' ,
+++ components=binutils
+++ echo '3 commits in binutils'
++ '[' --short = --oneline ']'
-++ '[' '' = '' ']'
-++ echo 'commit binutils-2_41-release-900-gf959280488d'
-++ local tmpfile
-+++ mktemp
-++ tmpfile=/tmp/tmp.M3MNRSlidG
-++ git -C binutils log -n1 f959280488d3af86cd94f81218d123de3c0c7448
-++ tail -n +2
-++ head -n 10 /tmp/tmp.M3MNRSlidG
-+++ cat /tmp/tmp.M3MNRSlidG
-+++ wc -l
-++ more_lines=-6
-++ '[' -6 -gt 0 ']'
-++ rm /tmp/tmp.M3MNRSlidG
+++ for c in "${changed_components[@]}"
++++ get_baseline_git binutils_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/binutils_rev
+++ base_rev=f959280488d3af86cd94f81218d123de3c0c7448
++++ get_current_git binutils_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/binutils_rev
+++ cur_rev=7ac6d0c38c365a6778a91fd37203c21561c61c4c
++++ git -C binutils rev-list --count f959280488d3af86cd94f81218d123de3c0c7448..7ac6d0c38c365a6778a91fd37203c21561c61c4c
+++ c_commits=3
+++ '[' '' '!=' '' ']'
+++ git -C binutils log -n 5 --oneline f959280488d3af86cd94f81218d123de3c0c7448..7ac6d0c38c365a6778a91fd37203c21561c61c4c
+++ '[' 3 -gt 5 ']'
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -1365,7 +563,7 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ return 0
++ gnu_print_config --long
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_binutils_build master-aarch64
++ local project=tcwg_binutils_build
@@ -1386,123 +584,38 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_binutils_build/master-aarch64'
-+ '[' single_commit '!=' single_commit ']'
-+ '[' '' '!=' '' ']'
-+ local key
-++ print_jira_card_key
-++ set -euf -o pipefail
-++ local jira_dir
-+++ interesting_subdir binutils f959280488d3af86cd94f81218d123de3c0c7448
-+++ local dir=binutils/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ jira_dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ jira_dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira
-++ '[' -f interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira/key ']'
-++ return 0
-+ key=
-+ '[' -z '' ']'
-++ print_jira_template_card
-++ local jira_card=GNU-692
-++ case "$ci_project/$ci_config:$changed_single_component" in
-++ echo GNU-692
-+ key=GNU-692
-+ cat
-++ print_last_icommit --reproduction_instructions_link tcwg_binutils_build master-aarch64
-++ false
-++ set -euf -o pipefail
-++ local print_arg=--reproduction_instructions_link
-++ shift 1
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir binutils f959280488d3af86cd94f81218d123de3c0c7448 tcwg_binutils_build master-aarch64
-+++ local dir=binutils/sha1
-+++ '[' 4 -ge 2 ']'
-+++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+++ '[' 4 -ge 3 ']'
-+++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build
-+++ '[' 4 -ge 4 ']'
-+++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64
-+++ echo binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64
-++ isubdir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64
-++ case "$print_arg" in
-++ print_icommits_link binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/reproduction_instructions.txt
-++ set -euf -o pipefail
-++ local path=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/reproduction_instructions.txt
-++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/reproduction_instructions.txt
-++ print_commits --link
-++ set -euf -o pipefail
-++ false
-++ local print_arg=--link
-++ '[' single_commit = no_change ']'
-++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=binutils
-++ '[' --link = --link ']'
-++ local url
-+++ get_baseline_git binutils_url
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No binutils_url in baseline git' '[' -f base-artifacts/git/binutils_url ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/binutils_url
-++ url=git://sourceware.org/git/binutils-gdb.git
-++ [[ git://sourceware.org/git/binutils-gdb.git =~ git://sourceware.org/git/ ]]
-++ url=binutils-gdb.git
-++ url='https://sourceware.org/git/?p=binutils-gdb.git'
-++ echo 'https://sourceware.org/git/?p=binutils-gdb.git;a=commitdiff;h=f959280488d3af86cd94f81218d123de3c0c7448'
-++ return 0
-++ print_last_icommit --status
-++ false
-++ set -euf -o pipefail
-++ local print_arg=--status
-++ shift 1
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir binutils f959280488d3af86cd94f81218d123de3c0c7448
-+++ local dir=binutils/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ isubdir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ case "$print_arg" in
-++ cat interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/status.txt
-+ echo '# generate dashboard'
++ '[' single_component '!=' single_commit ']'
++ return
# generate dashboard
++ echo '# generate dashboard'
+ generate_dashboard_squad
+ local results_date
-+ echo '# generate_dashboard_squad'
# generate_dashboard_squad
++ echo '# generate_dashboard_squad'
+ false
+ echo '... Skipping'
... Skipping
+# post_dashboard_squad
+... Skipping
+ return
+ post_dashboard_squad
+ echo '# post_dashboard_squad'
-# post_dashboard_squad
+ false
+ echo '... Skipping'
-... Skipping
+ return
+ generate_lnt_report
-+ wait 104188
++ wait 66999
+ set -euf -o pipefail
+ echo '# generate_lnt_report'
# generate_lnt_report
+ true
+ case "$ci_project" in
-+ . /home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/lnt-utils.sh
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/lnt-utils.sh
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/ tcwg_binutils_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/367/ tcwg_binutils_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/367/
+ local ci_project=tcwg_binutils_build
+ local ci_config=master-aarch64
+ local sumfiles_dir=artifacts/sumfiles
@@ -1516,12 +629,12 @@ find: ‘artifacts/sumfiles’: No such file or directory
+ false
+ post_to_jira
+ set -euf -o pipefail
-+ echo '# post_to_jira'
# post_to_jira
++ echo '# post_to_jira'
+ local post_card_comment=false
+ local post_template_comment=false
+ false
+ false
+ false
-+ echo 'Full stage ran successfully.'
Full stage ran successfully.
++ echo 'Full stage ran successfully.'
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index 1e798ac..3be9667 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p40046: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
++ remote_exec tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p50895: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ set -euf -o pipefail
+ local host
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p40046:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p50895:
++ cut -d: -f 1
-+ host=tcwg-snow-02
++ host=tcwg-jade-05
+ local port
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p40046:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p50895:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p40046:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p50895:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_0
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_7
+ local opts
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p40046:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p50895:
++ cut -s -d: -f 4
-+ opts=-p40046
++ opts=-p50895
+ local env_vars
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p40046:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p50895:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,10 +58,10 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q tcwg_gnu-build.sh
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_0
-+ ssh -p40046 tcwg-snow-02 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_0 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_7
++ ssh -p50895 tcwg-jade-05 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_7 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh'
-/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -82,24 +82,24 @@
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+ ci_config=master-aarch64
-+ echo '# Debug traces :'
# Debug traces :
++ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/365/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/365/'
+# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/'
# Using dir : base-artifacts
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/'
+# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/367/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/367/'
# Using dir : artifacts
+
+ echo '# Using dir : artifacts'
+ echo ''
-
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+ set +x
@@ -137,7 +137,7 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' xf959280488d3af86cd94f81218d123de3c0c7448 '!=' xcda750802aef3beea582f0f3cad824be491abb4d ']'
+++ '[' x7ac6d0c38c365a6778a91fd37203c21561c61c4c '!=' xf959280488d3af86cd94f81218d123de3c0c7448 ']'
++ echo -ne binutils
++ delim=' '
++ echo
@@ -150,17 +150,17 @@
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ first_bad=f959280488d3af86cd94f81218d123de3c0c7448
++ first_bad=7ac6d0c38c365a6778a91fd37203c21561c61c4c
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ last_good=cda750802aef3beea582f0f3cad824be491abb4d
++ last_good=f959280488d3af86cd94f81218d123de3c0c7448
+ local res
+ res=0
-+ wait 67187
++ wait 66742
+ git -C binutils rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo binutils' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -174,22 +174,22 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=cda750802aef3beea582f0f3cad824be491abb4d
++ base_rev=f959280488d3af86cd94f81218d123de3c0c7448
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=f959280488d3af86cd94f81218d123de3c0c7448
-++ git -C binutils rev-parse 'f959280488d3af86cd94f81218d123de3c0c7448^@'
++ cur_rev=7ac6d0c38c365a6778a91fd37203c21561c61c4c
+++ git -C binutils rev-parse '7ac6d0c38c365a6778a91fd37203c21561c61c4c^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' cda750802aef3beea582f0f3cad824be491abb4d = cda750802aef3beea582f0f3cad824be491abb4d ']'
-+ return 0
-+ change_kind=single_commit
-+ echo '# Debug traces :'
++ '[' 220be060180d14a0512bfb39b22341a7368822ae = f959280488d3af86cd94f81218d123de3c0c7448 ']'
++ return 1
++ change_kind=single_component
# Debug traces :
-# change_kind=single_commit : binutils
-+ echo '# change_kind=single_commit : binutils'
+# change_kind=single_component : binutils
++ echo '# Debug traces :'
++ echo '# change_kind=single_component : binutils'
+ for c in "${changed_components[@]}"
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
@@ -197,19 +197,19 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=cda750802aef3beea582f0f3cad824be491abb4d
++ base_rev=f959280488d3af86cd94f81218d123de3c0c7448
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=f959280488d3af86cd94f81218d123de3c0c7448
-++ git -C binutils rev-list --count cda750802aef3beea582f0f3cad824be491abb4d..f959280488d3af86cd94f81218d123de3c0c7448
-+ c_commits=1
-# rev for binutils : cda750802aef3beea582f0f3cad824be491abb4d..f959280488d3af86cd94f81218d123de3c0c7448 (1 commits)
-+ echo '# rev for binutils : cda750802aef3beea582f0f3cad824be491abb4d..f959280488d3af86cd94f81218d123de3c0c7448 (1 commits)'
-+ echo ''
++ cur_rev=7ac6d0c38c365a6778a91fd37203c21561c61c4c
+++ git -C binutils rev-list --count f959280488d3af86cd94f81218d123de3c0c7448..7ac6d0c38c365a6778a91fd37203c21561c61c4c
++ c_commits=3
+# rev for binutils : f959280488d3af86cd94f81218d123de3c0c7448..7ac6d0c38c365a6778a91fd37203c21561c61c4c (3 commits)
++ echo '# rev for binutils : f959280488d3af86cd94f81218d123de3c0c7448..7ac6d0c38c365a6778a91fd37203c21561c61c4c (3 commits)'
++ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
+ '[' ignore = precommit ']'
@@ -235,264 +235,9 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-+ '[' 0 -eq 3 ']'
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 67267
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=f82961a0
-++ '[' 0 -ne 0 ']'
-++ echo f82961a0
-+ sha1=f82961a0
-+ git -C interesting-commits checkout --detach f82961a0
-Warning: you are leaving 1 commit behind, not connected to
-any of your branches:
-
- c53e05bc Add entry f87cf663af71e5d78c8d647fa48562102f3b0615 from https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/384/
-
-If you want to keep it by creating a new branch, this may be a good time
-to do so with:
-
- git branch <new-branch-name> c53e05bc
-
-HEAD is now at f82961a0 Add entry b121fdc552f392cd86b21f159dd3e3b998de91a3 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/678/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir binutils f959280488d3af86cd94f81218d123de3c0c7448
-++ local dir=binutils/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ jira_dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ jira_dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira
-+ '[' init = full ']'
-+ true
-+ git -C interesting-commits remote update -p
-Fetching baseline
-From ssh://review.linaro.org:29418/toolchain/ci/interesting-commits
- f2290093..f82961a0 master -> baseline/master
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-+ update_interesting_commits init ''
-+ echo '# update_interesting_commits'
-# update_interesting_commits
-+ local stage=init
-+ local jira_key=
-+ local subdir3 subdir4 subdir4
-++ interesting_subdir binutils f959280488d3af86cd94f81218d123de3c0c7448
-++ local dir=binutils/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ subdir3=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ interesting_subdir binutils f959280488d3af86cd94f81218d123de3c0c7448 tcwg_binutils_build
-++ local dir=binutils/sha1
-++ '[' 3 -ge 2 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ '[' 3 -ge 3 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build
-++ '[' 3 -ge 4 ']'
-++ echo binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build
-+ subdir4=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build
-++ interesting_subdir binutils f959280488d3af86cd94f81218d123de3c0c7448 tcwg_binutils_build master-aarch64
-++ local dir=binutils/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-++ '[' 4 -ge 3 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build
-++ '[' 4 -ge 4 ']'
-++ dir=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64
-++ echo binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64
-+ subdir5=binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64
-+ '[' -d interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448 ']'
-+ mkdir -p interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ git -C interesting-commits add binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/first_url
-+ mkdir -p interesting-commits/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ echo cda750802aef3beea582f0f3cad824be491abb4d
-+ git -C interesting-commits add binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/build_url binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/last_good
-+ '[' init '!=' full ']'
++ '[' single_component '!=' single_commit ']'
+ return
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry f959280488d3af86cd94f81218d123de3c0c7448 from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/'
-[detached HEAD 444f9bf9] Add entry f959280488d3af86cd94f81218d123de3c0c7448 from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/
- 3 files changed, 3 insertions(+)
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/first_url
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/build_url
- create mode 100644 binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/last_good
-+ wait 79347
-+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-+ break
+ '[' init '!=' full ']'
-Init stage ran successfully.
+ echo 'Init stage ran successfully.'
+Init stage ran successfully.
+ exit 0
diff --git a/jenkins/rewrite.log b/jenkins/rewrite.log
index 7681e54..0faca4b 100644
--- a/jenkins/rewrite.log
+++ b/jenkins/rewrite.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p40046: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
++ remote_exec tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p50895: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
+ set -euf -o pipefail
+ local host
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p40046:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p50895:
++ cut -d: -f 1
-+ host=tcwg-snow-02
++ host=tcwg-jade-05
+ local port
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p40046:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p50895:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p40046:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p50895:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_0
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_7
+ local opts
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p40046:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p50895:
++ cut -s -d: -f 4
-+ opts=-p40046
++ opts=-p50895
+ local env_vars
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p40046:
+++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p50895:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,8 +58,8 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q 100
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_0
-+ ssh -p40046 tcwg-snow-02 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_0 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_7
++ ssh -p50895 tcwg-jade-05 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_7 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
+ declare -g rewrite_base_artifacts_first=true
+ true
+ update_baseline
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index 313be10..7f86dca 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,13 +1,13 @@
-build_name="#366"
+build_name="#367"
docker_opts=(--distro
default
--arch
arm64
--node
-tcwg-snow-02 )
+tcwg-jade-05 )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#366-binutils"
+build_name="#367-binutils"
branch_opt=(==rr\[binutils_git\]
git://sourceware.org/git/binutils-gdb.git#master )
-build_name="#366-binutils-R1"
+build_name="#367-binutils-R1"
diff --git a/manifest.sh b/manifest.sh
index ff7da7a..4dbd354 100644
--- a/manifest.sh
+++ b/manifest.sh
@@ -6,7 +6,7 @@ rr[ci_config]="master-aarch64"
declare -g "scripts_branch=master"
rr[mode]="build"
rr[update_baseline]="onsuccess"
-declare -g "BUILD_URL=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/"
+declare -g "BUILD_URL=https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/367/"
declare -g "SQUAD_GRP="
rr[binutils_git]="git://sourceware.org/git/binutils-gdb.git#master"
# Saving rr[] in the manifest
diff --git a/notify/jira/comment-template.txt b/notify/jira/comment-template.txt
index 38ff530..8e262f0 100644
--- a/notify/jira/comment-template.txt
+++ b/notify/jira/comment-template.txt
@@ -1,3 +1,3 @@
[GNU-692]
Success
-Details: https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/artifact/artifacts/notify/mail-body.txt/*view*/
+Details: https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/367/artifact/artifacts/notify/mail-body.txt/*view*/
diff --git a/notify/jira/components b/notify/jira/components
deleted file mode 100644
index df3b0ba..0000000
--- a/notify/jira/components
+++ /dev/null
@@ -1 +0,0 @@
-Binutils
diff --git a/notify/jira/description b/notify/jira/description
deleted file mode 100644
index 9222eca..0000000
--- a/notify/jira/description
+++ /dev/null
@@ -1,13 +0,0 @@
-commit binutils-2_41-release-900-gf959280488d
-Author: GDB Administrator <gdbadmin@sourceware.org>
-Date: Wed Oct 25 00:00:25 2023 +0000
-
- Automatic date update in version.in
-
-* tcwg_binutils_build
-** master-aarch64
-*** Success
-*** https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/details.txt
-*** https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/
-
-Latest data: https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/jira/yaml
diff --git a/notify/jira/startdate b/notify/jira/startdate
deleted file mode 100644
index 0a60c37..0000000
--- a/notify/jira/startdate
+++ /dev/null
@@ -1 +0,0 @@
-2023-10-25
diff --git a/notify/jira/summary b/notify/jira/summary
deleted file mode 100644
index 699864b..0000000
--- a/notify/jira/summary
+++ /dev/null
@@ -1 +0,0 @@
-binutils-2_41-release-900-gf959280488d: Success
diff --git a/notify/mail-body.txt b/notify/mail-body.txt
index b8cf407..706f565 100644
--- a/notify/mail-body.txt
+++ b/notify/mail-body.txt
@@ -2,11 +2,10 @@ Dear contributor, our automatic CI has detected problems related to your patch(e
In binutils_build master-aarch64 after:
- | commit binutils-2_41-release-900-gf959280488d
- | Author: GDB Administrator <gdbadmin@sourceware.org>
- | Date: Wed Oct 25 00:00:25 2023 +0000
- |
- | Automatic date update in version.in
+ | 3 commits in binutils
+ | 7ac6d0c38c3 asan: _bfd_elf_slurp_version_tables memory leak
+ | 220be060180 asan: out of memory in som_set_reloc_info
+ | e3afa685584 asan: NULL deref in alpha_ecoff_get_relocated_section_contents
Results changed to
# reset_artifacts:
@@ -30,19 +29,6 @@ CI config tcwg_binutils_build/master-aarch64
-----------------8<--------------------------8<--------------------------8<--------------------------
The information below can be used to reproduce a debug environment:
-Current build : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/artifact/artifacts
-Reference build : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/365/artifact/artifacts
-
-Reproduce last good and first bad builds: https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/reproduction_instructions.txt
-
-Full commit : https://sourceware.org/git/?p=binutils-gdb.git;a=commitdiff;h=f959280488d3af86cd94f81218d123de3c0c7448
-
-Latest bug report status : https://linaro.atlassian.net/browse/GNU-692
-
-List of configurations that regressed due to this commit :
-* tcwg_binutils_build
-** master-aarch64
-*** Success
-*** https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/f959280488d3af86cd94f81218d123de3c0c7448/tcwg_binutils_build/master-aarch64/details.txt
-*** https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/
+Current build : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/367/artifact/artifacts
+Reference build : https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/366/artifact/artifacts
diff --git a/notify/mail-recipients.txt b/notify/mail-recipients.txt
index 4dfa427..c20a3d5 100644
--- a/notify/mail-recipients.txt
+++ b/notify/mail-recipients.txt
@@ -1 +1 @@
-brobecker@adacore.com,cc:linaro-toolchain@lists.linaro.org,cc:gdbadmin@sourceware.org,bcc:tcwg-validation@linaro.org
+cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,amodra@gmail.com
diff --git a/notify/mail-subject.txt b/notify/mail-subject.txt
index f6449a4..67068c3 100644
--- a/notify/mail-subject.txt
+++ b/notify/mail-subject.txt
@@ -1 +1 @@
-[Linaro-TCWG-CI] binutils-2_41-release-900-gf959280488d: Success on aarch64
+[Linaro-TCWG-CI] 3 commits in binutils: Success on aarch64